package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.AverageLifetime;
import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.PopulationSummary;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.admin.AverageLifetimeModel;

import java.util.List;

public interface IMSAverageLifetimeService {
    List<AverageLifetimeModel> queryList(BaseExample.Page pager);

    long queryCount(BaseExample.Page pager);

    ResultState<Long> delete(long id);

    ResultState add(AverageLifetimeModel inputModel);

    AverageLifetimeModel edit(long id);

    ResultState doEdit(AverageLifetimeModel inputModel);
}
